<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);

@$speedX=($_POST['speedX']);
if($speedX == ""){@$_POST['speedX']="Off";}else{@$_POST['speedX']="On";}
@$compX=($_POST['compX']);
if($compX == ""){@$_POST['compX']="off";}else{@$_POST['compX']="on";}
@$renderX=($_POST['renderX']);
if($renderX == ""){@$_POST['renderX']="off";}else{@$_POST['renderX']="on";}
@$lazyX=($_POST['lazyX']);
if($lazyX == ""){@$_POST['lazyX']="off";}else{@$_POST['lazyX']="on";}

if (isset($_POST['save'])) {
if (strlen(@$_POST[speedX])<=0){@$_POST[speedX]="";}
if (strlen(@$_POST[compX])<=0){@$_POST[compX]="";}
if (strlen(@$_POST[renderX])<=0){@$_POST[renderX]="";}
if (strlen(@$_POST[lazyX])<=0){@$_POST[lazyX]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/speedX=(.+?);/';
$patterns[1]='/compX=(.+?);/';
$patterns[2]='/renderX=(.+?);/';
$patterns[3]='/lazyX=(.+?);/';

@$replacements[0]=sprintf("speedX=%s%s%s;",$t,$_POST[speedX],$t);
@$replacements[1]=sprintf("compX=%s%s%s;",$t,$_POST[compX],$t);
@$replacements[2]=sprintf("renderX=%s%s%s;",$t,$_POST[renderX],$t);
@$replacements[3]=sprintf("lazyX=%s%s%s;",$t,$_POST[lazyX],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
//include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

/* ====---- CSS + COLOR ----==== */
include($exCD."/custom.inc.php");
include("./functions/design-dataCSS.inc.php");
include($exC."/seo/css-color.inc.php");
include($exC."/seo/css.inc.php");

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1a."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
